Bug 249097 - allow a space as a valid password char
Summary: allow a space as a valid password char
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 21:15 UTC by Corey Marthaler
Modified: 2009-04-16 22:58 UTC (History)
4 users (show)

Fixed In Version: RHBA-2008-0407
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 15:46:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0407 normal SHIPPED_LIVE conga bug fix and enhancement update 2008-05-21 15:46:31 UTC

Description Corey Marthaler 2007-07-20 21:15:57 UTC
Description of problem:
Our wti is configured without a password, so to get around this in the
cluster.conf file I had been just using a space " " in the password parameter,
but conga won't let me do this.

Comment 1 Corey Marthaler 2007-08-01 19:33:58 UTC
Was this issue supposed to be marked 'modified'? This bug is still present in
ricci-0.10.0-3.el5/luci-0.10.0-3.el5/modcluster-0.10.0-3.el5.

Comment 2 Ryan McCabe 2007-08-01 19:54:55 UTC
Thanks for the catch. Somehow, half of the patch got reverted along with 
another commit. Reapplied and committed to CVS.

Comment 5 Corey Marthaler 2007-08-16 19:45:16 UTC
fix verified in ricci-0.10.0-4.el5/luci-0.10.0-4.el5

Comment 6 Corey Marthaler 2007-10-02 22:20:41 UTC
This issue appears to have regressed in 0.10.0-6.el5. 


CONGA:

The following errors occurred:

    * A password must be provided for this Fence Device



Comment 7 Ryan McCabe 2007-10-03 02:17:49 UTC
Somehow part of the fix got lost; the space as a password fix exists in 0.10.0-6
for APC and ipmilan, but not others. I've checked the fix for this into CVS.

Comment 10 Brian Brock 2008-05-15 00:52:09 UTC
fix verified in -7.el5, changing state to verified.

I can configure WTI fencing with an empty password, and Conga accepts it without
complaint.

Comment 12 errata-xmlrpc 2008-05-21 15:46:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0407.html


Note You need to log in before you can comment on or make changes to this bug.